<?php

use Webman\Route;

Route::get('/app/wz_vue/pages/{name}.vue', function($name){
    $file = __DIR__.'/../app/view/pages/'.$name.'.vue';
    static $cache = [];
    $filemtime = is_file($file) ? filemtime($file) : 0;
    if (!$filemtime) {
        return response('page not found', 404);
    }
    if (!isset($cache[$file]) || $cache[$file]['mtime'] !== $filemtime) {
        $cache[$file] = [
            'mtime' => $filemtime,
            'content' => wz_vue_parse($file)
        ];
    }
    $clientModified = request()->header('If-Modified-Since');
    if ($clientModified && strtotime($clientModified) >= $filemtime) {
        return response('',304);
    }
    return response($cache[$file]['content'], 200, [
        'Content-Type' => 'application/javascript',
        'Last-Modified' => gmdate('D, d M Y H:i:s', $filemtime).' GMT',
        'Cache-Control' => 'public, max-age=3600'       
    ]); 
});
Route::get('/app/wz_vue/store/{name}.js', function($name){
    $file = __DIR__.'/../app/view/store/'.$name.'.js';
    static $cache = [];
    $filemtime = is_file($file) ? filemtime($file) : 0;
    if (!$filemtime) {
        return response('Component not found', 404);
    }
    if (!isset($cache[$file]) || $cache[$file]['mtime'] !== $filemtime) {
        $cache[$file] = [
            'mtime' => $filemtime,
            'content' => file_get_contents($file)
        ];
    }
    $clientModified = request()->header('If-Modified-Since');
    if ($clientModified && strtotime($clientModified) >= $filemtime) {
        return response('',304);
    }
    return response($cache[$file]['content'], 200, [
        'Content-Type' => 'application/javascript',
        'Last-Modified' => gmdate('D, d M Y H:i:s', $filemtime).' GMT',
        'Cache-Control' => 'public, max-age=3600'
    ]);
});

    


